com.holonplatform.http

## Enum HttpMethod

- java.lang.Object
- - java.lang.Enum<HttpMethod>
  - - com.holonplatform.http.HttpMethod

- All Implemented Interfaces:
    Serializable, Comparable<HttpMethod>

      public enum HttpMethod
      extends Enum<HttpMethod>

  HTTP request methods enumeration.
  Since:
    5.0.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE`
    `GET`
    `HEAD`
    `OPTIONS`
    `PATCH`
    `POST`
    `PUT`
    `TRACE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HttpMethod` | `from(String methodName)` Get HttpMethod enum constant matching given `methodName` name
    `String` | `getMethodName()` Method name
    `static HttpMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HttpMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GET

          public static final HttpMethod GET

    - #### POST

          public static final HttpMethod POST

    - #### PUT

          public static final HttpMethod PUT

    - #### DELETE

          public static final HttpMethod DELETE

    - #### HEAD

          public static final HttpMethod HEAD

    - #### PATCH

          public static final HttpMethod PATCH

    - #### OPTIONS

          public static final HttpMethod OPTIONS

    - #### TRACE

          public static final HttpMethod TRACE

  - ### Method Detail

    - #### values

          public static HttpMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HttpMethod c : HttpMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HttpMethod valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getMethodName

          public String getMethodName()

      Method name
      Returns:
        the method name

    - #### from

          public static HttpMethod from(String methodName)

      Get HttpMethod enum constant matching given `methodName` name
      Parameters:
        `methodName` - Method name
      Returns:
        Matching HttpMethod, or `null` if none match

Copyright © 2019 The Holon Platform. All rights reserved.